
# Release versions are part of the git tag
%global origrel 1

Name:		distribution-gpg-keys
Version:	1.48
Release:	%mkrel 1
Summary:	GPG keys of various Linux distributions
Group:		System/Packaging
License:	CC0
URL:		https://github.com/xsuchy/distribution-gpg-keys
Source0:	https://github.com/xsuchy/distribution-gpg-keys/archive/%{name}-%{version}-%{origrel}.tar.gz
BuildArch:	noarch

%description
GPG keys used by various Linux distributions to sign packages.


%prep
%setup -q -n %{name}-%{name}-%{version}-%{origrel}

%build
#nothing to do here


%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -a keys/* %{buildroot}%{_datadir}/%{name}/

# We don't want to package COPR GPG keys
rm -rf %{buildroot}%{_datadir}/%{name}/copr

%files
%license LICENSE
%doc README.md SOURCES.md
%{_datadir}/%{name}/


%changelog
* Sat Feb 13 2021 ngompa <ngompa> 1.48-1.mga8
+ Revision: 1675258
- Update to 1.48

* Sat Jan 23 2021 luigiwalser <luigiwalser> 1.47-1.mga8
+ Revision: 1673031
- 1.47

* Sun Dec 20 2020 luigiwalser <luigiwalser> 1.46-1.mga8
+ Revision: 1661850
- 1.46

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.45-1.mga8
+ Revision: 1652948
- 1.45

* Fri Feb 14 2020 umeabot <umeabot> 1.29-2.mga8
+ Revision: 1523114
- Mageia 8 Mass Rebuild

* Thu Feb 21 2019 ngompa <ngompa> 1.29-1.mga7
+ Revision: 1369193
- Update to 1.29

* Mon Jan 21 2019 ngompa <ngompa> 1.26-1.mga7
+ Revision: 1358690
- Update to 1.26

* Thu Sep 20 2018 umeabot <umeabot> 1.21-2.mga7
+ Revision: 1278024
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 ngompa <ngompa> 1.21-1.mga7
+ Revision: 1223906
- Update to 1.21

* Mon Feb 26 2018 ngompa <ngompa> 1.19-1.mga7
+ Revision: 1205191
- Update to 1.19

* Sun Dec 10 2017 ngompa <ngompa> 1.16-1.mga7
+ Revision: 1181875
- Rebase to v1.16

* Thu Mar 16 2017 ngompa <ngompa> 1.10-1.mga6
+ Revision: 1093164
- Upgrade to v1.10

* Mon Nov 21 2016 ngompa <ngompa> 1.8-1.mga6
+ Revision: 1068549
- Update to v1.8

* Tue Sep 13 2016 ngompa <ngompa> 1.7-1.mga6
+ Revision: 1051974
- Upgrade to 1.7

* Mon Sep 05 2016 ngompa <ngompa> 1.5-2.mga6
+ Revision: 1050056
- imported package distribution-gpg-keys


* Sun Sep 04 2016 Neal Gompa <ngompa13@gmail.com> - 1.6-2
- Port to Mageia
- Backport patch to rename Mageia GPG public key file
- Remove useless Suggests tags
- Do not install COPR repo keys

* Mon Aug 08 2016 Miroslav Suchý <msuchy@redhat.com> 1.5-1
- move copr keys to subpackage
- update copr gpg keys
- add RPM-GPG-KEY-CentOS-SIG-AltArch-7-ppc64le
- add F25 keys

* Mon Mar 14 2016 Miroslav Suchý <msuchy@redhat.com> 1.4-1
- update SOURCES
- update copr gpg keys
- add mageia gpg keys

* Tue Feb 02 2016 Miroslav Suchý <msuchy@redhat.com> 1.3-1
- add copr keys
- added obsolete gpg keys
- document from where those keys can be originally obtained
- suggest installations of other keyrings
- do not include email in changelog items

* Fri Oct 16 2015 Miroslav Suchý <msuchy@redhat.com> 1.2-1
- document how to do release
- change license to CC-0

* Thu Oct 15 2015 Miroslav Suchý <msuchy@redhat.com> 1.1-1
- initial package



